﻿@model IList<EditVersion>
@using SiteGuide.Service.Helpers
@using SiteGuide.Web.Controllers
@using SiteGuide.Web.Helpers
@using SiteGuide.DAL.Models
@using SiteGuide.Service.Extensions
@using SiteGuide.Service.Identifiers

<ol>
    @foreach (var editVersion in Model)
    {
        <li>
            @LocalTimeHelper.LocalTime((DateTime)editVersion.SubmittedTime)
            <partial name="_EditStatus" for="@editVersion" />
            @if (editVersion.AuthorRole != null && editVersion.AuthorRole != "Unprivileged")
            {
                <span>as </span>
                <span class="badge badge-dark">@editVersion.AuthorRole</span>
            }
            @if (Permissions.MaySeeAuthorName(User))
            {
                <text>
                    by user "@editVersion.AuthorName"
                </text>
            }
            @if ((bool)ViewData["ShowComments"] && !string.IsNullOrEmpty(editVersion.Comment))
            {
                <blockquote>@editVersion.Comment</blockquote>
            }
        </li>
    }
</ol>
